## javax.xml.stream.events
Interface EntityReference

All Superinterfaces:
  XMLEvent, XMLStreamConstants

public interface EntityReference
extends XMLEvent

Fields inherited from interface javax.xml.stream.XMLStreamConstants
`ATTRIBUTE, CDATA, CHARACTERS, COMMENT, DTD, END_DOCUMENT, END_ELEMENT, ENTITY_DECLARATION, ENTITY_REFERENCE, NAMESPACE, NOTATION_DECLARATION, PROCESSING_INSTRUCTION, SPACE, START_DOCUMENT, START_ELEMENT`

Method Summary
`EntityDeclaration` `getDeclaration()`
`java.lang.String` `getName()`

Methods inherited from interface javax.xml.stream.events.XMLEvent
`asCharacters, asEndElement, asStartElement, getEventType, getLocation, getSchemaType, isAttribute, isCharacters, isEndDocument, isEndElement, isEntityReference, isNamespace, isProcessingInstruction, isStartDocument, isStartElement, writeAsEncodedUnicode`

Method Detail

### getDeclaration

    public EntityDeclaration getDeclaration()

### getName

    public java.lang.String getName()

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.